/** encapsulate aggregation results * */

package jsparky;

import org.w3c.dom.*;

public class AggregationResult extends Object {

    Document aggregated_dss;

    Document a1_dss;

    Document a2_dss;

    Operation operation;

    public AggregationResult(Document d1, Document d2, Document d3) {
        aggregated_dss = d1;
        a1_dss = d2;
        a2_dss = d3;
    }

    public boolean hasOneSentence() {
        if (aggregated_dss != null) {
            return true;
        } else {
            return false;
        }
    }

    public Document getAggregatedDSS() {
        return aggregated_dss;
    }

    public Document getFirstDSS() {
        return a1_dss;
    }

    public Document getSecondDSS() {
        return a2_dss;
    }

    public void setOperation(Operation op) {
        this.operation = op;
    }

    public Operation getOperation() {
        return operation;
    }

}
